apiVersion: apps/v1
kind: Deployment
metadata:
  name: affine
  namespace: ops-it
  labels:
    app: affine
spec:
  selector:
    matchLabels:
      app: affine
      tier: frontend
  strategy:
    type: Recreate
  template:
    metadata:
      labels:
        app: affine
        tier: frontend
    spec:
      containers:
      - image: ghcr.io/toeverything/affine-self-hosted:latest
        name: affine
        ports:
        - containerPort: 3000
          name: affine
        volumeMounts:
        - name: affine-persistent-storage
          mountPath: /app/data
      volumes:
      - name: affine-persistent-storage
        persistentVolumeClaim:
          claimName: affine-pv-claim
